CREATE PROCEDURE [dbo].[GET_SPEXOrderRAWData_Main]
    @MANIFEST_NO VARCHAR(20),
	@ORDER_DATE VARCHAR(15),
	@SUPP_CD VARCHAR(6),
	@SUPP_PLANT_CD VARCHAR(4)
AS
BEGIN
	DECLARE @SQL NVARCHAR(MAX) = '',
			@SUPP_TO_FIND VARCHAR(4) = '',
			@SP_TO_CALL VARCHAR(MAX) = ''

	IF(NOT EXISTS(SELECT 'x' FROM TB_M_FORMAT_ORDER_FILE WHERE SUPP_CD = @SUPP_CD))
	BEGIN
		SET @SUPP_TO_FIND = '#'
	END
	ELSE
	BEGIN
		SET @SUPP_TO_FIND = @SUPP_CD
	END

	SELECT TOP 1 @SP_TO_CALL = SP_TO_CALL 
	FROM TB_M_FORMAT_ORDER_FILE 
	WHERE SUPP_CD = @SUPP_TO_FIND

	IF(ISNULL(@SP_TO_CALL, '') = '')
	BEGIN
		--SET @SP_TO_CALL = 'GET_SPEXOrderRAWData_2'
		SELECT TOP 1 @SP_TO_CALL = SP_TO_CALL 
		FROM TB_M_FORMAT_ORDER_FILE 
		WHERE SUPP_CD ='#'
	END

	SET @SQL = @SQL + 'EXEC ' + ISNULL(@SP_TO_CALL, '') + ' ''' + 
				ISNULL(@MANIFEST_NO, '') + ''', ''' + 
				ISNULL(@ORDER_DATE, '') + ''', ''' +
				ISNULL(@SUPP_CD, '') + ''', ''' +
				ISNULL(@SUPP_PLANT_CD, '') + ''' '

	PRINT (@SQL)
	execute (@SQL)
END

